summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'kde-misc/colord-kde')
-rw-r--r--kde-misc/colord-kde/Manifest1
-rw-r--r--kde-misc/colord-kde/colord-kde-0.5.0.ebuild50
-rw-r--r--kde-misc/colord-kde/files/colord-kde-0.5.0-unused-deps.patch68
3 files changed, 119 insertions, 0 deletions
diff --git a/kde-misc/colord-kde/Manifest b/kde-misc/colord-kde/Manifest
index 7ad6bca1b54f..1d16d927971c 100644
--- a/kde-misc/colord-kde/Manifest
+++ b/kde-misc/colord-kde/Manifest
@@ -1 +1,2 @@
DIST colord-kde-0.3.0.tar.bz2 48933 SHA256 ab3cdb7c8c98aa2ee8de32a92f87770e1fbd58eade6471f3f24d932b50b4cf09 SHA512 21e20b79cc0875c33b7b240b46d63b045ba3db45445a4d6d3c533577c0f9d9e1f1efc48dc9a35c588eb93e02d0eedb1bceb39d5eaa982bb01acae07e55abe0ba WHIRLPOOL f4ec74c8e20952eb84cb16435275a564fc8bd53c15bc3e2b4d67b6fa5ae5144e8043eb22acf58c6d81d051b7820824e10f525999c7a9ee4e7ba985217157d1ad
+DIST colord-kde-0.5.0.tar.xz 97572 SHA256 6c545009af737ad67900e4d8549086bc65b979c799b2402871bba44addb52d2f SHA512 f285931f0f97462fcf173f64aaf2f32752bddb0b724d2055055ce5beb7dbe89ccebc62cb8c2ce455a8d68beb737fd55bf89be8e4dc7eaa37f09878b757370f07 WHIRLPOOL 4dc42e0378caded5277f665e3ee79b6f38f91ec97c37cf10f022d02e20b470b785c07a59ca02cc2918b8dfebc47bd9c0d8a644572b91e6ad00decd10e0e3291f
diff --git a/kde-misc/colord-kde/colord-kde-0.5.0.ebuild b/kde-misc/colord-kde/colord-kde-0.5.0.ebuild
new file mode 100644
index 000000000000..6f5e83bae725
--- /dev/null
+++ b/kde-misc/colord-kde/colord-kde-0.5.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Provides interfaces and session daemon to colord"
+HOMEPAGE="http://projects.kde.org/projects/playground/graphics/colord-kde"
+SRC_URI="mirror://kde/stable/${PN}/${PV}/src/${P}.tar.xz"
+
+LICENSE="GPL-2+"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+COMMON_DEPEND="
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtx11extras)
+ media-libs/lcms:2
+ x11-libs/libxcb
+ x11-libs/libX11
+ x11-libs/libXrandr
+"
+DEPEND="${COMMON_DEPEND}
+ $(add_frameworks_dep kwindowsystem)
+"
+RDEPEND="${COMMON_DEPEND}
+ $(add_plasma_dep kde-cli-tools)
+ x11-misc/colord
+"
+
+PATCHES=( "${FILESDIR}/${P}-unused-deps.patch" )
+
+pkg_postinst() {
+ kde5_pkg_postinst
+ if ! has_version "gnome-extra/gnome-color-manager"; then
+ elog "You may want to install gnome-extra/gnome-color-manager to add support for"
+ elog "colorhug calibration devices."
+ fi
+}
diff --git a/kde-misc/colord-kde/files/colord-kde-0.5.0-unused-deps.patch b/kde-misc/colord-kde/files/colord-kde-0.5.0-unused-deps.patch
new file mode 100644
index 000000000000..48b1f4277df5
--- /dev/null
+++ b/kde-misc/colord-kde/files/colord-kde-0.5.0-unused-deps.patch
@@ -0,0 +1,68 @@
+From be1d302200fb3f3f2ef9cf41c34cb4ac5d970df2 Mon Sep 17 00:00:00 2001
+From: Michael Palimaka <kensington@gentoo.org>
+Date: Sat, 22 Oct 2016 21:46:18 +1100
+Subject: [PATCH] Remove unused dependencies.
+
+REVIEW: 129240
+---
+ CMakeLists.txt | 4 ++--
+ colord-kcm/CMakeLists.txt | 1 -
+ icc-importer/CMakeLists.txt | 2 --
+ icc-importer/main.cpp | 1 -
+ 4 files changed, 2 insertions(+), 6 deletions(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index fcace67..6d6093a 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -28,8 +28,8 @@ find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+ find_package(X11)
+ find_package(XCB COMPONENTS XCB RANDR)
+
+-find_package(KF5 REQUIRED Config ConfigWidgets CoreAddons DBusAddons IconThemes I18n KCMUtils KIO
+- Notifications Plasma WidgetsAddons WindowSystem ItemViews)
++find_package(KF5 REQUIRED ConfigWidgets CoreAddons DBusAddons I18n KCMUtils
++ WidgetsAddons WindowSystem)
+
+ add_definitions(-DTRANSLATION_DOMAIN=\"colord-kde\")
+
+diff --git a/colord-kcm/CMakeLists.txt b/colord-kcm/CMakeLists.txt
+index a078ed3..712bf1a 100644
+--- a/colord-kcm/CMakeLists.txt
++++ b/colord-kcm/CMakeLists.txt
+@@ -53,7 +53,6 @@ target_link_libraries(kcm_colord
+ Qt5::DBus
+ KF5::CoreAddons
+ KF5::I18n
+- KF5::IconThemes
+ KF5::KCMUtils
+ ${LCMS2_LIBRARIES}
+ )
+diff --git a/icc-importer/CMakeLists.txt b/icc-importer/CMakeLists.txt
+index af3cee0..a6ac1f9 100644
+--- a/icc-importer/CMakeLists.txt
++++ b/icc-importer/CMakeLists.txt
+@@ -18,8 +18,6 @@ target_link_libraries(colord-kde-icc-importer
+ KF5::CoreAddons
+ KF5::I18n
+ KF5::WidgetsAddons
+- KF5::IconThemes
+- KF5::ConfigCore
+ ${LCMS2_LIBRARIES}
+ )
+
+diff --git a/icc-importer/main.cpp b/icc-importer/main.cpp
+index 2af0e85..bb72f32 100644
+--- a/icc-importer/main.cpp
++++ b/icc-importer/main.cpp
+@@ -31,7 +31,6 @@
+ #include <QCommandLineParser>
+
+ #include <KMessageBox>
+-#include <KConfig>
+ #include <KAboutData>
+ #include <KLocalizedString>
+
+--
+2.7.3
+